Skip to navigation

Delete DPU Extension Service Version

View as Markdown

Delete a specific version of a DPU Extension Service.

DPU Extension Service must be owned by current Tenant. The version being deleted cannot have active deployments.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
dpuExtensionServiceIdstringRequired
ID of the DPU Extension Service
versionstringRequired
Version of the DPU Extension Service

Response

No Content

Errors

403
Forbidden Error